#include<iostream>
using namespace std;
int main(){

long long n, vsqkoXto=2, nayGolqmo=0;
cin>>n;

long long chislo[n];

for(int i=0; i<n; i++){
    chislo[i]=i+1;
}
for(int j=0; j<n; j++){
    for(int i=0; i<n; i++){
        nayGolqmo=0;
        if((i+1)%vsqkoXto!=0){
            chislo[i]=0;
        }else{
            nayGolqmo=chislo[i];
        }
    }
}

cout<<nayGolqmo<<endl;

return 0;
}
